> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dittofeed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /api/admin/segments/manual-segment/update

> Update a manual segment.



## OpenAPI

````yaml post /api/admin/segments/manual-segment/update
openapi: 3.1.0
info:
  title: Dittofeed API
  description: Dittofeed API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/segments/manual-segment/update:
    post:
      tags:
        - Segments
      description: Update a manual segment.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                workspaceId:
                  type: string
                segmentId:
                  type: string
                userIds:
                  type: array
                  items:
                    type: string
                append:
                  type: boolean
                sync:
                  type: boolean
              required:
                - workspaceId
                - segmentId
                - userIds
        required: true
      responses:
        '200':
          description: Default Response

````